TaggedComponentHelper (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.IOP
Class TaggedComponentHelper

    java.lang.Object
      |
      +--org.omg.IOP.TaggedComponentHelper

public abstract class TaggedComponentHelper
extends Object

`TaggedComponents` contained in `TAG_INTERNET_IOP` and `TAG_MULTIPLE_COMPONENTS` profiles are identified by unique numeric tags using a namespace distinct form that is used for profile tags. Component tags are assigned by the OMG.

Specifications of components must include the following information:

- Component ID: The compound tag that is obtained from OMG.
- Structure and encoding: The syntax of the component data and the encoding rules. If the component value is encoded as a CDR encapsulation, the IDL type that is encapsulated and the GIOP version which is used for encoding the value, if different than GIOP 1.0, must be specified as part of the component definition.
- Semantics: How the component data is intended to be used.
- Protocols: The protocol for which the component is defined, and whether it is intended that the component be usable by other protocols.
- At most once: whether more than one instance of this component can be included in a profile.

Specification of protocols must describe how the components affect the protocol. The following should be specified in any protocol definition for each `TaggedComponent` that the protocol uses:

- Mandatory presence: Whether inclusion of the component in profiles supporting the protocol is required (MANDATORY PRESENCE) or not required (OPTIONAL PRESENCE).
- Droppable: For optional presence component, whether component, if present, must be retained or may be dropped.

Constructor Summary
`TaggedComponentHelper()`

Method Summary
`static TaggedComponent` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, TaggedComponent that)`
`static TaggedComponent` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, TaggedComponent value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaggedComponentHelper

    public TaggedComponentHelper()

Method Detail

### insert

    public static void insert(Any a,
                              TaggedComponent that)

### extract

    public static TaggedComponent extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static TaggedComponent read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             TaggedComponent value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.